Table of Contents

## Name

glStencilMask - control the writing of individual bits in the stencil

planes

## C Specification

void glStencilMask( GLuint mask )

eqn not supported

## Parameters

mask
  Specifies a bit mask to enable and disable writing of individual bits in the stencil planes. Initially, the mask is all 1's.

## Description

glStencilMask controls the writing of individual bits in the stencil planes. The least significant $n$ bits of mask, where $n$ is the number of bits in the stencil buffer, specify a mask. Where a 1 appears in the mask, it's possible to write to the corresponding bit in the stencil buffer. Where a 0 appears, the corresponding bit is write-protected. Initially, all bits are enabled for writing.

## Errors

GL_INVALID_OPERATION is generated if glStencilMask is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glGet with argument GL_STENCIL_WRITEMASK
glGet with argument GL_STENCIL_BITS

## See Also

glColorMask(3G) , glDepthMask(3G) , glIndexMask(3G) , glStencilFunc(3G) , glStencilOp(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- Associated Gets
- See Also